# Class BimPropertySetRepository

##### Index

### Constructors

constructor

### Properties

_isPropertySetUrlAdded
_propertyReader

### Methods

assignPropertySetsToProducts
clear

## Constructors

### constructor

- new BimPropertySetRepository(
  _bimApi: BimCoreApiClient,
  ): BimPropertySetRepository

  #### Parameters

  - _bimApi: BimCoreApiClient

  #### Returns BimPropertySetRepository

## Properties

### `Readonly`_isPropertySetUrlAdded

_isPropertySetUrlAdded: Map<string, Promise<boolean>> = ...

### `Readonly`_propertyReader

_propertyReader: BimPropertySetReader = ...

## Methods

### assignPropertySetsToProducts

- assignPropertySetsToProducts(
  propertysetUrl: URL,
  ifcObjects: BimIfcObject[],
  ifcTypeObjects: BimTypeObject[],
  ): Promise<boolean>

  #### Parameters

  - propertysetUrl: URL
  - ifcObjects: BimIfcObject[]
  - ifcTypeObjects: BimTypeObject[]

  #### Returns Promise<boolean>

### clear

- clear(): void

  #### Returns void